<template>
  <select class="mh-select" :disabled="isDisabled">
    <option
      v-for="(option, index) in validatedOptions"
      :key="index"
      :value="option.value">
        {{ option.text }}
      </option>
  </select>
</template>

<script>
export default {
  name: 'MhSelect',

  props: {
    options: {
      type: Array,
      default: () => []
    },

    isDisabled: {
      type: Boolean,
      default: false
    }
  },

  computed: {
    validatedOptions() {
      return this.options.length > 0 ? this.options : [{ value: 0, text: 'No options' }]
    }
  }
}
</script>

<style lang="scss" scoped>
.mh-select {
  padding: 10px;
  border: 1px solid $darken;
  border-radius: 6px;
  background: white;
  width: 100%;
  width: 224px;
  transition: 0.3s ease;

  &:hover:not(:focus) {
    border-color: lighten($darken, 30%);
    color: lighten($darken, 30%);
  }

  &:active, &:focus {
    outline: none;
  }

  &:active {
    border-radius: 6px 6px 0 0;
  }

  &:disabled {
    border-color: lighten($darken, 30%);
    color: lighten($darken, 30%);
    cursor: not-allowed;
  }
}
</style>
